Get rid of pre 14.04 compatibility that is no longer needed
[chef.git] / cookbooks / apache / providers / site.rb
index a8c90344927f818a25146df51470580db980c20b..3913764daaa7bdf0e0593763b54120c582bfc2c9 100644 (file)
@@ -59,27 +59,14 @@ def site_directory
 end
 
 def available_name
-  if node[:lsb][:release].to_f >= 14.04
-    "/etc/apache2/sites-available/#{new_resource.name}.conf"
-  else
-    "/etc/apache2/sites-available/#{new_resource.name}"
-  end
+  "/etc/apache2/sites-available/#{new_resource.name}.conf"
 end
 
 def enabled_name
-  if node[:lsb][:release].to_f >= 14.04
-    case new_resource.name
-    when "default"
-      "/etc/apache2/sites-enabled/000-default.conf"
-    else
-      "/etc/apache2/sites-enabled/#{new_resource.name}.conf"
-    end
+  case new_resource.name
+  when "default"
+    "/etc/apache2/sites-enabled/000-default.conf"
   else
-    case new_resource.name
-    when "default"
-      "/etc/apache2/sites-enabled/000-default"
-    else
-      "/etc/apache2/sites-enabled/#{new_resource.name}"
-    end
+    "/etc/apache2/sites-enabled/#{new_resource.name}.conf"
   end
 end